#include <stdlib.h>
#include <stdio.h>
#include "complex.h"
#include "real.h"

struct complex_t {
    real p_real;
    real p_img;
};

complex create_complex(real p_real, real p_img){
    /* complex ret = malloc(1*sizeof(struct complex_t)); */
    complex ret = calloc(1, sizeof(struct complex_t));

    /* (*ret).p_real = p_real; */
    ret->p_real = p_real;
    ret->p_img = p_img;

    return(ret);
}


void print_complex(complex c){
    printf("%Lg + %Lg * i\n", c->p_real, c->p_img);
}


complex destroy_complex(complex c){
    free(c);
    c = NULL;
    return(c);
}


